Kerbal Space Program - Bug #23125

Bugged drag for engine/decoupler pairings.
07/07/2019 07:40 PM - aburgesser

Status: Resolved Start date: 07/07/2019
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version: 1.12.0

Version: 1.7.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

Some engine/decoupler pairings of the same size do not properly occlude drag. This results in high (if not completely unoccluded
drag. This can be observed with simple rockets featuring this issue and the debug menu. Extreme drag vectors can be observed with
just the aero forces overlay. Problem exists with both the decouplers and stack separators.

Observed bugged engines (testing was not exclusive; there could be more bugged configurations):

e Terrier ("Truss" and "Bare" variants)
e Poodle

History

#2 - 07/08/2019 05:52 PM - diomedea
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 07/14/2019 02:52 AM - Anonymous
- Expansion deleted (Breaking Ground)

There is a suggested change to the .cfg-files, in the form of a Module-Manager patch, at #20683

Either using Module Manager to apply the patch there, or making the corresponding edits by hand, can be a workaround.

#4 - 06/24/2021 11:21 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.

#5 - 08/06/2021 07:01 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Please continue to file feedback and bug reports on the drag system, as and when you find them.
